using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;
using System.Collections.Generic;
using System.Collections;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected void RadGrid1_ItemCreated(object sender, Telerik.Web.UI.GridItemEventArgs e)
    {

        if (e.Item is GridPagerItem)
        {

            RadComboBox cb = (e.Item as GridPagerItem).FindControl("PageSizeComboBox") as RadComboBox;

            RadComboBoxItem item = new RadComboBoxItem("80", "80");

            item.Attributes.Add("ownerTableViewId", RadGrid1.MasterTableView.ClientID);

            if (cb.Items.FindItemByValue("80") == null)
                cb.Items.Add(item);

            item = new RadComboBoxItem("35", "35");

            item.Attributes.Add("ownerTableViewId", RadGrid1.MasterTableView.ClientID);

            if (cb.Items.FindItemByValue("35") == null) cb.Items.Add(item);

            cb.Items.Sort(new PagerRadComboBoxItemComparer());

            cb.Items.FindItemByValue(RadGrid1.PageSize.ToString()).Selected = true;

        }
    }
    public class PagerRadComboBoxItemComparer : IComparer<RadComboBoxItem>, IComparer
    {


        public int Compare(RadComboBoxItem x, RadComboBoxItem y)
        {

            int rValue = 0;
            int lValue = 0;

            if (Int32.TryParse(x.Value, out lValue) && Int32.TryParse(y.Value, out rValue))
            {
                return lValue.CompareTo(rValue);
            }
            else
            {
                return x.Value.CompareTo(y.Value);

            }
        }





        #region IComparer Members

        public int Compare(object x, object y)
        {
            return Compare((RadComboBoxItem)x, (RadComboBoxItem)y);
        }

        #endregion
    }

}